<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use App\Providers\RouteServiceProvider;
use Illuminate\Foundation\Auth\AuthenticatesUsers;
use Auth;
class LoginController extends Controller
{
    /*
    |--------------------------------------------------------------------------
    | Login Controller
    |--------------------------------------------------------------------------
    |
    | This controller handles authenticating users for the application and
    | redirecting them to your home screen. The controller uses a trait
    | to conveniently provide its functionality to your applications.
    |
    */

    use AuthenticatesUsers;

    /**
     * Where to redirect users after login.
     *
     * @var string
     */
    // protected $redirectTo = RouteServiceProvider::HOME;

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('guest')->except('logout');
    }

    protected function redirectTo()
    {
        if (Auth::user()->user_type == 'Admin') {
            return route('admin.applications.queue');
        }
        else if (Auth::user()->user_type == 'volunteer') {
            return route('volunteer.apply.index');
        }
        else if (Auth::user()->user_type == 'tip') {
            return route('tip.batches.index');
        }
        else if (Auth::user()->user_type == 'client') {
            return route('client.referal.index');
        }
        else if (Auth::user()->user_type == 'caregiver') {
            return route('caregiver.referal.index');
        }
        // return '/home';
    }
}
