<?php

namespace App\Http\Controllers\TipUser;

use App\Http\Controllers\Controller;

use Illuminate\Http\Request;
use App\Models\TrainingBatchTrainers;
use App\Models\User;
use Auth;
use Illuminate\Support\Facades\Mail;

class BatchesController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $id = Auth::user()->id;
        $batch = TrainingBatchTrainers::where('tbt_trainer_id', $id)->orWhere('tbt_standbytrainer_id', $id)->get();
        
        return  view('tip-users.batches.index',compact('batch'));
    }

    public function update(Request $request, $id)
    {
        $trainer=TrainingBatchTrainers::findorfail($id);
        $trainer->tbt_trainer_id=null;
        
        $trainer->update();
        $user = User::find($trainer->tbt_standbytrainer_id);
        $to = $user->email;
        $subject = "Trainer Dropout";
        $text="You are now main trainer";
        $cname = $user->first_name;
        $link = route('tip.batches.index');
        Mail::send('email.application', ['cname' => $cname, 'text' => $text, 'link' => $link], function ($message) use ($cname , $to , $subject) {
            $message->to($to , $cname);
            $message->subject($subject);
            $message->from(env('MAIL_FROM_ADDRESS') , 'Tip User');
    
     });

        return back()->with('success' , 'Submitted Successfully');
        // send email to stand by trainer
    }

   public function volunteers($id){
        $traines = TrainingBatchTraineesUpdate::where('tbt_batch_id' , $id)->get();
        return view('tip-users.batches.volunteer' , compact('traines'));
   }
}
