@extends('admin.include.main')
@section('content')

    <div class="card">
        <div class="card-header">
            <div class="row w-100">
                <div class="col-6">
                    <div class="card-title mt-3">Closed Training Batch</div>
                </div>
            </div>
        </div>
        <div class="card-body">
            <div class="table-responsive datatble-filter">
                <table id="example4" class="table card-table table-vcenter text-nowrap border p-0">
                    <thead>
                        <tr>
                            <th>Batch No</th>
                            <th>Date</th>
                            <th>Time </th>
                            <th>Duration</th>
                            <th>Max Trainees</th>
                            <th>Attended Trainers</th>
                            <th>Trainers</th>
                            <th>Report</th>


                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($training as $item)
                            <tr class="table-subheader @if ($item->is_mandatory == 'special') table-success @endif">
                                <td>{{ $item->batch_no }}</td>
                                <td>{{ $item->batch_date }}</td>
                                <td>{{ date('h:i:s a ', strtotime($item->batch_starttime)) }}</td>
                                <td>{{ $item->batch_duration }}</td>
                                <td>{{ $item->batch_max_trainee }}</td>
                                <td>{{ $item->attended_trainers() }}</td>
                                @if ($item->batch == null)
                                    <td> No trainer yet assign</td>
                                @else
                                    <td>
                                        @if ($item->batch->main_trainer != null)
                                        {{ $item->batch->main_trainer->get_name() }}
                                        @else
                                            Drop out    
                                        @endif
                                        ,
                                        @if ($item->batch->standby_trainer != null)
                                        {{ $item->batch->standby_trainer->get_name() }}
                                        
                                        @else
                                            Drop out    
                                        @endif
                                        
                                    <td>
                                @endif
                                <td>
                                    <a data-bs-toggle="modal"
                                    class="btn btn-primary m-1"
                                    data-bs-target="#modelreport{{ $item->id }}">
                                    Report</a>
                               
                                    <div class="modal fade" id="modelreport{{ $item->id }}" tabindex="-1" role="dialog" aria-labelledby="normalmodal" aria-hidden="true">
                                        <div class="modal-dialog modal-lg" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h5 class="modal-title"
                                                        id="normalmodal1"> Report
                                                    </h5>
                                                    <button type="button"
                                                        class="btn-close"
                                                        data-bs-dismiss="modal"Report
                                                        aria-label="Close">
                                                        <span aria-hidden="true">×</span>
                                                    </button>
                                                </div>
                                                    <div class="modal-body">
                                                        
                                        <div class="modal-body">
                                            @foreach ($item->trainees as $train)
                                                
                                            <div class="row">
                                                <div class="col-4"><strong>Name: </strong>{{ucfirst($train->user->get_name())}}</div>
                                                <div class="col-4">
                                                    <div class="form-group">
                                                        <div class="form-check">
                                                            <label class="form-check-label" for="attendece{{$train->id}}">
                                                                <strong>Attended Training:</strong> @if($train->notes != null) @if($train->notes->attendence != "" || $train->notes->attendence != null) {{$train->notes->attendence}} @else No @endif @endif
                                                            </label>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-4">
                                                    <div class="form-group">
                                                        <div class="form-check">
                                                            <label class="form-check-label" for="gticket{{$train->id}}">
                                                                <strong>Generate Ticket:</strong> @if($train->notes != null) @if($train->notes->generate_ticket != "" || $train->notes->generate_ticket != null) {{$train->notes->generate_ticket}} @else No @endif @endif
                                                            </label>
                                                            </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div id="att{{$train->id}}" @if($train->notes != null) @if($train->notes->attendence != "Y") style="display: none" @endif @else style="display: none" @endif> 
                                                <div class="row">
                                                    <div class="col-6">
                                                        <label for="skills{{$item->id}}"><strong>Skills:</strong> @if($train->notes != null ){{$train->notes->volunteer_skills}} @endif</label>
                                                    
                                                    </div>
                                                    <div class="col-6">
                                                        <label for="notes{{$item->id}}"><strong>Notes:</strong> @if($train->notes != null ) {{$train->notes->volunteer_notes}} @endif</label>                                                    
                                                    </div>
                                                </div>
                                            </div>

                                            <div id="more{{$train->id}}" @if($train->notes != null) @if($train->notes->generate_ticket != "Y") style="display: none" @endif @else style="display: none" @endif>
                                                <div class="row mt-5">
                                                    <div class="col-md-5 col-lg-6">
                                                        <div class="form-group">
                                                            <label for="ttile{{$item->id}}"><strong>Ticket Title:</strong> @if($train->notes != null) {{$train->notes->ticket_title}} @endif</label>
                                                        </div>    
                                                    </div>

                                                    <div class="col-md-5 col-lg-6">
                                                        <div class="form-group">
                                                            <label for="batch_date"></label><strong>Ticket Priority:</strong> @if($train->notes != null) {{$train->notes->ticket_priority}} @endif: 
                                                        </div>    
                                                    </div>
                                                </div>

                                                <div class="row mt-5">
                                                    <div class="col-md-5 col-lg-6">
                                                        <div class="form-group">
                                                            <label for="ticket_desc{{$item->id}}"><strong>Ticket Description:</strong> @if($train->notes != null) {{$train->notes->ticket_desc}} @endif</label>
                                                          </div>    
                                                    </div>
                                                </div>
                                            </div>

                                            <hr>

                                            @endforeach
                                        </div>
                                            </div>
                                        </div>
                                    </div>
                                </td>

                            </tr>
                        @endforeach

                    </tbody>
                </table>
            </div>
        </div>
    </div>



@endsection
@section('script')
    <script>
        $(document).on("click", ".trainee", function() {
            var t = ($(this).val());
            b = $(this).data('batch');
            console.log(b);
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': "{{ csrf_token() }}",
                }
            });
            $.ajax({
                url: "{{ route('admin.training.trainee_check') }}",
                type: "GET",
                data: {
                    trainee_id: t,
                    batch_id: b,
                },
                success: function(result) {
                    if (result.status == "1") {
                        $("#trainee").val(result.trainee);
                        $("#batch").val(result.batch);
                        var myModal = new bootstrap.Modal(document.getElementById('largemodal1'), {
                            keyboard: false
                        })
                        myModal.show();

                        var myModal = document.getElementById('largemodal');
                        var modal = bootstrap.Modal.getInstance(
                            myModal) // Returns a Bootstrap modal instance
                        modal.hide();



                    }
                }


            });

        });
    </script>

    <script>
        $('.traine').on('click', function() {
            id = $(this).data('id');
            console.log(id);
            $('#home' + id).load($(this).data('href'));
        });
    </script>

@endsection
