@extends('admin.include.main')
@section('content')

    <div class="modal fade" id="normalmodal" tabindex="-1" role="dialog" aria-labelledby="normalmodal"
        aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="normalmodal1">Add User</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>

                <form action="{{ route('admin.users.store') }}" method="POST">
                    @csrf
                    <input type="hidden" name="user_type"  value="tip">
                    <div class="modal-body">
                        <div class="row">
                            <div class="col-6">
                                <div class="form-group">
                                    <label for="name">First Name</label>
                                    <input type="text"
                                        class="form-control 
                                    @if (session('status') == 'add')
                                    
                                    @error('first_name') is-invalid @enderror
                                    @endif
                                    "
                                        name="first_name" id="name" aria-describedby="helpId" placeholder=""
                                        value="{{ old('first_name') }}">
                                    @error('first_name')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>


                            <div class="col-6">
                                <div class="form-group">
                                    <label for="name">Last Name</label>
                                    <input type="text"
                                        class="form-control 
                                    @if (session('status') == 'add')
                                    
                                    @error('last_name') is-invalid @enderror
                                    @endif
                                    "
                                        name="last_name" id="name" aria-describedby="helpId" placeholder=""
                                        value="{{ old('last_name') }}">
                                    @error('last_name')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                        </div>
                        <div class="row mt-2">
                            <div class="col-6">
                                <div class="form-group">
                                    <label for="name">Email</label>
                                    <input type="text"
                                        class="form-control 
                                    @if (session('status') == 'add')
                                    
                                    @error('email') is-invalid @enderror
                                    @endif
                                    "
                                        name="email" id="name" aria-describedby="helpId" placeholder=""
                                        value="{{ old('email') }}">
                                    @error('email')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-6">
                                <div class="form-group">
                                    <label for="name">Password</label>
                                    <input type="password"
                                        class="form-control 
                                    @if (session('status') == 'add')
                                    
                                        @error('password') is-invalid @enderror
                                    @endif    
                                        "
                                        name="password" id="name" aria-describedby="helpId" placeholder="">
                                    @error('password')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                        </div>
                        <div class="row mt-2">
                            <div class="col-6">
                                <div class="form-group">
                                    <label for="name">City</label>
                                    <input type="text"
                                        class="form-control 
                                    @if (session('status') == 'add')
                                        
                                        @error('city') is-invalid @enderror
                                        @endif
                                        "
                                        name="city" id="name" value="{{ old('city') }}" aria-describedby="helpId"
                                        placeholder="">
                                    @error('city')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>

                            <div class="col-6">
                                <div class="form-group">
                                    <label for="name">Phone No</label>
                                    <input type="text"
                                        class="form-control 
                                        @if (session('status') == 'add')
                                        
                                            @error('phone') is-invalid @enderror
                                        @endif    
                                    "
                                        name="phone" id="name" value="{{ old('phone') }}" aria-describedby="helpId"
                                        placeholder="">
                                    @error('phone')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                        </div>
                        <div class="row mt-2">
                            <div class="col-6">
                                <div class="form-group">
                                    <label for="name">Address One</label>
                                    <input type="text"
                                        class="form-control 
                                        @if (session('status') == 'add')
                                    
                                            @error('address_one') is-invalid @enderror
                                        @endif
                                        "
                                        name="address_one" value="{{ old('address_one') }}" id="name"
                                        aria-describedby="helpId" placeholder="">
                                    @error('address_one')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>

                            <div class="col-6">
                                <div class="form-group">
                                    <label for="name">Address Two</label>
                                    <input type="text"
                                        class="form-control 
                                        @if (session('status') == 'add')
                                    
                                            @error('address_two') is-invalid @enderror
                                        @endif
                                        "
                                        name="address_two" value="{{ old('address_two') }}" id="name"
                                        aria-describedby="helpId" placeholder="">
                                    @error('address_two')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                        </div>
                        <div class="row mt-2">
                            <div class="col-6">
                                <div class="form-group">
                                    <label for="name">Postal Code</label>
                                    <input type="text"
                                        class="form-control 
                                    @if (session('status') == 'add')
                                    
                                        @error('postal_code') is-invalid @enderror
                                    @endif
                                    "
                                        name="postal_code" value="{{ old('postal_code') }}" id="name"
                                        aria-describedby="helpId" placeholder="">
                                    @error('postal_code')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>

                            <div class="col-6">
                                <div class="form-group">
                                    <label for="name">Username</label>
                                    <input type="text" value="{{ old('username') }}"
                                        class="form-control 
                                        @if (session('status') == 'add')
                                        
                                        @error('username') is-invalid @enderror
                                        @endif
                                        "
                                        name="uname" id="name" aria-describedby="helpId" placeholder="">
                                    @error('username')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-info" data-bs-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-danger">Save</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <div class="card mt-5">
        <div class="card-header">
            <div class="row w-100">
                <div class="col-6">
                    <div class="card-title mt-3">Tip OA Users</div>
                </div>
                <div class="col-6">
                    <button class="btn btn-info mt-3 float-end" data-bs-toggle="modal" data-bs-target="#normalmodal">
                        <i class="fa fa-plus"></i>Add New Tip OA User
                    </button>
                </div>
            </div>
        </div>
        <div class="card-body">
            <div class="table-responsive datatble-filter">
                <table id="example1" class="table card-table table-vcenter text-nowrap border p-0">
                    <thead>
                        <tr>
                            <th>First Name</th>
                            <th>Last Name</th>
                            <th>Phone No</th>
                            <th>Email</th>
                            <th>City</th>
                            <th>Username</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($users as $item)
                            <tr class="">
                                <td>{{ $item->first_name }}</td>
                                <td>{{ $item->last_name }}</td>
                                <td>{{ $item->phone }}</td>
                                <td>{{ $item->email }}</td>
                                <td>{{ $item->city }}</td>
                                <td>{{ $item->uname }}</td>
                                <td>
                                    <div class="dropdown">
                                        <button type="button" class="btn btn-primary dropdown-toggle"
                                            data-bs-toggle="dropdown">
                                            Action
                                        </button>
                                        <ul class="dropdown-menu">
                                            <li><a class="dropdown-item" data-bs-toggle="modal"
                                                    data-bs-target="#modelrej{{ $item->id }}">Delete <i
                                                        class="fa fa-trash "></i></a></li>
                                            <li><a class="dropdown-item" data-bs-toggle="modal"
                                                    data-bs-target="#modeledit{{ $item->id }}">Edit <i
                                                        class="fa fa-pencil"></i> </a></li>
                                        </ul>
                                        {{-- del --}}
                                        <div class="modal fade" id="modelrej{{ $item->id }}" tabindex="-1"
                                            role="dialog" aria-labelledby="normalmodal" aria-hidden="true">
                                            <div class="modal-dialog" role="document">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <h5 class="modal-title" id="normalmodal1">Delete
                                                            {{ $item->first_name }}</h5>
                                                        <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                            aria-label="Close">
                                                            <span aria-hidden="true">×</span>
                                                        </button>
                                                    </div>
                                                    <form action="{{ route('admin.users.destroy', $item->id) }}"
                                                        method="POST">
                                                        @csrf
                                                        @method('DELETE')
                                                        <div class="modal-body">
                                                            Are You Really Want To Delete This?
                                                        </div>
                                                        <div class="modal-footer">
                                                            <button type="button" class="btn btn-info"
                                                                data-bs-dismiss="modal">Close</button>
                                                            <button type="submit" class="btn btn-danger">Delete</button>
                                                        </div>
                                                    </form>
                                                </div>
                                            </div>
                                        </div>
                                        {{-- end del --}}
                                        {{-- edit --}}
                                        <div class="modal fade" id="modeledit{{ $item->id }}" tabindex="-1"
                                            role="dialog" aria-labelledby="normalmodal" aria-hidden="true">
                                            <div class="modal-dialog modal-lg" role="document">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <h5 class="modal-title" id="normalmodal1">Edit
                                                            {{ $item->first_name }}{{ session('modal') }}</h5>
                                                        <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                            aria-label="Close">
                                                            <span aria-hidden="true">×</span>
                                                        </button>
                                                    </div>
                                                    <form action="{{ route('admin.users.update', $item->id) }}"
                                                        method="POST">
                                                        @csrf
                                                        @method('PUT')
                                                        <div class="modal-body">
                                                            <div class="row">
                                                                <div class="col-6">
                                                                    <div class="form-group">
                                                                        <label for="first_name{{ $item->id }}">First
                                                                            Name</label>
                                                                        <input type="text"
                                                                            class="form-control 
                                                                            
                                                                        @if (session('status') == 'edit')
                                                                        @php
                                                                            $modal = session('modal');
                                                                            $cmodel = 'modeledit'.$item->id;
                                                                        @endphp
                                                                        @if ($modal == $cmodel)
                                                                                @error('first_name') is-invalid @enderror
                                                                            @endif
                                                                            @endif
                                                                            "
                                                                            name="first_name"
                                                                            value="{{ $item->first_name }}"
                                                                            id="first_name{{ $item->id }}"
                                                                            aria-describedby="helpId" placeholder="">
                                                                        @error('first_name')
                                                                            <span class="invalid-feedback" role="alert">
                                                                                <strong>{{ $message }}</strong>
                                                                            </span>
                                                                        @enderror
                                                                    </div>
                                                                </div>


                                                                <div class="col-6">
                                                                    <div class="form-group">
                                                                        <label for="last_name{{ $item->id }}">Last
                                                                            Name</label>
                                                                        <input type="text"
                                                                            class="form-control 
                                                                        @if (session('status') == 'edit')
                                                                            @php
                                                                                $modal = session('modal');
                                                                                $cmodel = 'modeledit'.$item->id;
                                                                            @endphp
                                                                            @if ($modal == $cmodel)
                                                                                
                                                                                @error('last_name') is-invalid @enderror
                                                                            @endif
                                                                        @endif
                                                                        "
                                                                            name="last_name"
                                                                            value="{{ $item->last_name }}"
                                                                            id="last_name{{ $item->id }}"
                                                                            aria-describedby="helpId" placeholder="">
                                                                        @error('last_name')
                                                                            <span class="invalid-feedback" role="alert">
                                                                                <strong>{{ $message }}</strong>
                                                                            </span>
                                                                        @enderror
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="row">
                                                                <div class="col">
                                                                    <div class="form-group">
                                                                        <label for="email{{ $item->id }}">Email</label>
                                                                        <input type="text"
                                                                            class="form-control 
                                                                        
                                                                            @if (session('status') == 'edit')
                                                                            @php
                                                                                $modal = session('modal');
                                                                                $cmodel = 'modeledit'.$item->id;
                                                                            @endphp
                                                                                @if ($modal == $cmodel)
                                                                                        @error('email') is-invalid @enderror
                                                                                @endif
                                                                            @endif
                                                                        "
                                                                            name="email" value="{{ $item->email }}"
                                                                            id="email{{ $item->id }}"
                                                                            aria-describedby="helpId" placeholder="">
                                                                        @error('email')
                                                                            <span class="invalid-feedback" role="alert">
                                                                                <strong>{{ $message }}</strong>
                                                                            </span>
                                                                        @enderror
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="row">
                                                                <div class="col-6">
                                                                    <div class="form-group">
                                                                        <label for="city{{ $item->id }}">City</label>
                                                                        <input type="text"
                                                                            class="form-control 
                                                                            
                                                                        @if (session('status') == 'edit')
                                                                        @php
                                                                            $modal = session('modal');
                                                                            $cmodel = 'modeledit'.$item->id;
                                                                        @endphp
                                                                        @if ($modal == $cmodel)
                                                                                    @error('city') is-invalid @enderror
                                                                                @endif    
                                                                            @endif    
                                                                            "
                                                                            name="city" value="{{ $item->city }}"
                                                                            id="city{{ $item->id }}"
                                                                            aria-describedby="helpId" placeholder="">
                                                                        @error('city')
                                                                            <span class="invalid-feedback" role="alert">
                                                                                <strong>{{ $message }}</strong>
                                                                            </span>
                                                                        @enderror
                                                                    </div>
                                                                </div>

                                                                <div class="col-6">
                                                                    <div class="form-group">
                                                                        <label for="phone{{ $item->id }}">Phone
                                                                            No</label>
                                                                        <input type="text"
                                                                            class="form-control 
                                                                        
                                                                            @if (session('status') == 'edit')
                                                                            @php
                                                                                $modal = session('modal');
                                                                                $cmodel = 'modeledit'.$item->id;
                                                                            @endphp
                                                                            @if ($modal == $cmodel)
                                                                            @error('phone') is-invalid @enderror
                                                                        @endif    
                                                                        @endif    
                                                                        "
                                                                            name="phone" value="{{ $item->phone }}"
                                                                            id="phone{{ $item->id }}"
                                                                            aria-describedby="helpId" placeholder="">
                                                                        @error('phone')
                                                                            <span class="invalid-feedback" role="alert">
                                                                                <strong>{{ $message }}</strong>
                                                                            </span>
                                                                        @enderror
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="row">
                                                                <div class="col-6">
                                                                    <div class="form-group">
                                                                        <label for="address_one{{ $item->id }}">Address
                                                                            One</label>
                                                                        <input type="text"
                                                                            class="form-control 
                                                                        
                                                                            @if (session('status') == 'edit')
                                                                            @php
                                                                                $modal = session('modal');
                                                                                $cmodel = 'modeledit'.$item->id;
                                                                            @endphp
                                                                            @if ($modal == $cmodel)
                                                                                @error('address_one') is-invalid @enderror
                                                                            @endif
                                                                            @endif
                                                                        "
                                                                            name="address_one"
                                                                            value="{{ $item->address_one }}"
                                                                            id="address_one{{ $item->id }}"
                                                                            aria-describedby="helpId" placeholder="">
                                                                        @error('address_one')
                                                                            <span class="invalid-feedback" role="alert">
                                                                                <strong>{{ $message }}</strong>
                                                                            </span>
                                                                        @enderror
                                                                    </div>
                                                                </div>

                                                                <div class="col-6">
                                                                    <div class="form-group">
                                                                        <label for="address_two{{ $item->id }}">Address
                                                                            Two</label>
                                                                        <input type="text"
                                                                            class="form-control 
                                                                            
                                                                        @if (session('status') == 'edit')
                                                                        @php
                                                                            $modal = session('modal');
                                                                            $cmodel = 'modeledit'.$item->id;
                                                                        @endphp
                                                                        @if ($modal == $cmodel)
                                                                                @error('address_two') is-invalid @enderror
                                                                            @endif    
                                                                            @endif    
                                                                        "
                                                                            name="address_two"
                                                                            value="{{ $item->address_two }}"
                                                                            id="address_two{{ $item->id }}"
                                                                            aria-describedby="helpId" placeholder="">
                                                                        @error('address_two')
                                                                            <span class="invalid-feedback" role="alert">
                                                                                <strong>{{ $message }}</strong>
                                                                            </span>
                                                                        @enderror
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="row">
                                                                <div class="col-6">
                                                                    <div class="form-group">
                                                                        <label for="postal_code{{ $item->id }}">Postal
                                                                            Code</label>
                                                                        <input type="text"
                                                                            class="form-control 

                                                                        @if (session('status') == 'edit')
                                                                        @php
                                                                            $modal = session('modal');
                                                                            $cmodel = 'modeledit'.$item->id;
                                                                        @endphp
                                                                        @if ($modal == $cmodel)
                                                                                @error('postal_code') is-invalid @enderror
                                                                            @endif
                                                                            @endif
                                                                        
                                                                        "
                                                                            name="postal_code"
                                                                            id="postal_code{{ $item->id }}"
                                                                            value="{{ $item->postal_code }}"
                                                                            aria-describedby="helpId" placeholder="">
                                                                        @error('postal_code')
                                                                            <span class="invalid-feedback" role="alert">
                                                                                <strong>{{ $message }}</strong>
                                                                            </span>
                                                                        @enderror
                                                                    </div>
                                                                </div>

                                                                <div class="col-6">
                                                                    <div class="form-group">
                                                                        <label for="name">Username</label>
                                                                        <input type="text"
                                                                            class="form-control 

                                                                        @if (session('status') == 'edit')
                                                                        @php
                                                                            $modal = session('modal');
                                                                            $cmodel = 'modeledit'.$item->id;
                                                                        @endphp
                                                                        @if ($modal == $cmodel)
                                                                                @error('uname') is-invalid @enderror
                                                                            @endif    
                                                                            @endif    
                                                                            "
                                                                            name="uname" value="{{ $item->uname }}"
                                                                            id="name" aria-describedby="helpId"
                                                                            placeholder="">
                                                                        @error('uname')
                                                                            <span class="invalid-feedback" role="alert">
                                                                                <strong>{{ $message }}</strong>
                                                                            </span>
                                                                        @enderror
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="modal-footer">
                                                            <button type="button" class="btn btn-info"
                                                                data-bs-dismiss="modal">Close</button>
                                                            <button type="submit" class="btn btn-danger">Update</button>
                                                        </div>
                                                    </form>
                                                </div>
                                            </div>
                                        </div>
                                        {{-- end edit --}}
                                    </div>
                                </td>
                            </tr>

                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
@endsection

@section('script')
    @if ($errors->any())
        <script>
            @if (session('status') == 'add')
                var myModal = new bootstrap.Modal(document.getElementById('normalmodal'), {
                keyboard: false
                })
            @elseif(session('status') == 'edit')
                var myModal = new bootstrap.Modal(document.getElementById('{{ session('modal') }}'), {
                keyboard: false
                })
            @endif
            myModal.show();
        </script>
    @enderror
@endsection
