<?php

use Illuminate\Support\Facades\Route;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});
Route::get('/main', function () {
    return view('admin.master');
});
Route::namespace('Admin')->name('admin.')->prefix('admin')->middleware('')->group(function(){

    Route::get('/volunteer' , [App/Http/Controllers/Admin/VolunteerController::class , 'index'])->name('volunteer');
    Route::get('/apply' , [VolunteerController::class , 'index'])->name('volunteer');
    Route::get('/training' , [TrainingController::class , 'index'])->name('training');
    Route::get('/users' , [UsersController::class , 'index'])->name('users');
    Route::get('/companies' , [CompaniesController::class , 'index'])->name('companies');
    Route::get('/clients' , [ClientsController::class , 'index'])->name('clients');
    Route::get('/tickets' , [TicketsController::class , 'index'])->name('tickets');
    Route::get('/languages' , [LanguageController::class , 'index'])->name('languages');

});


Route::prefix('admin')->name('admin.')->group(function(){
    Route::get('quality-asssurance-calls' , function(){
        return view('admin.calls.qcalls');
    })->name('qcalls');
    Route::get('empathy-calls' , function(){
        return view('admin.calls.index');
    })->name('emoathy.calls');
    Route::get('client-screening' , function(){
        return view('admin.clients.client_screening');
    })->name('client.screening');
});